File: changelog

package info (click to toggle)
velocity-tools 2.0-7
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 3,940 kB
  • ctags: 3,590
  • sloc: java: 24,414; xml: 7,944; jsp: 459; makefile: 27
file content (125 lines) | stat: -rw-r--r-- 4,445 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
velocity-tools (2.0-7) unstable; urgency=medium

  * Team upload.
  * Fixed a source incompatibility with dom4j 2.x
  * Build with the DH sequencer instead of CDBS
  * Switch to debhelper level 10
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 14 Oct 2017 00:46:19 +0200

velocity-tools (2.0-6) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1
  * Standards-Version updated to 3.9.8

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Jun 2016 14:59:33 +0200

velocity-tools (2.0-5) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.0 (Closes: #801008)
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 03 Apr 2016 00:01:07 +0200

velocity-tools (2.0-4) unstable; urgency=medium

  * Team upload.
  * Install the jar artifact for org.apache.velocity:velocity-tools
  * No longer install velocity-tools-generic.jar (never used)
  * Removed the extra documentation from the -java package
  * Switch to debhelper level 9
  * Removed the missing dependencies from the velocity-tools pom
  * Removed the dependency on libservlet2.5-java from libvelocity-tools-java
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 Nov 2015 16:25:53 +0100

velocity-tools (2.0-3) unstable; urgency=medium

  * Team upload.
  * Install the Maven artifacts for velocity-tools-view (Closes: #738111)
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * debian/rules: Improved the clean target

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Dec 2014 22:59:38 +0100

velocity-tools (2.0-2) unstable; urgency=low

  * d/control: Depends on servlet2.5 instead of 2.4.
  * d/control: Bump Standards-Version to 3.9.2 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Sep 2011 14:21:11 +0200

velocity-tools (2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * d/README.source: drop, useless since 3.0 (quilt) switch.
  * d/rules: Add servlet-api-2.5 jsp-api-2.1 dom4j to DEB_JARS
  * d/control: Build-Depends on libdom4j-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 06 Mar 2011 01:33:58 +0100

velocity-tools (1.4-4) unstable; urgency=low

  * Team Upload

  [ Damien Raude-Morvan ]
  * Bump debhelper compat to 7
  * Use commons-collections 3.x:
    - Build-Depends and Depends on libcommons-collection3-java
    - Update classpath in DEB_JARS from debian/rules

  [ Torsten Werner ]
  * Let 'maintainers' start with uppercase M.
  * Update Standards-Version: 3.8.4.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 00:20:58 +0200

velocity-tools (1.4-3) unstable; urgency=low

  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Switch to Quilt patch system:
    - Refresh all patchs
    - Remove B-D on dpatch, Add B-D on quilt
    - Include patchsys-quilt.mk in debian/rules
  * Bump Standards-Version to 3.8.3:
    - Add a README.source to describe patch system
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package.
  * Install api documentation to /usr/share/doc/libvelocity-tools-java/api/ 
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpoms and mh_installjar to install the POM and the jar to the
     Maven repository
  * Update my email address

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 25 Sep 2009 23:38:50 +0200

velocity-tools (1.4-2) unstable; urgency=low

  * debian/patches/02_junit_45.dpatch: compatibility patch
    for JUnit 4.5. (Closes: #533967)
  * debian/docs: include WHY_THREE_JARS.txt in package
  * debian/rules: New generic.jar module activated
    - Add "jar.generic" Ant target to DEB_ANT_BUILD_TARGET
    - Install generic.jar file
  * Bump Standards-Version to 3.8.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Wed, 24 Jun 2009 00:25:56 +0200

velocity-tools (1.4-1) unstable; urgency=low

  * Initial release. (Closes: #497436)
  * Build-Depend on default-jdk-builddep instead of java-gcj-compat-dev
  * Include showcase and simple examples in libvelocity-tools-java-doc

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 16 Mar 2009 00:35:33 +0100